import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BusCarPart } from '../models/index' 

import {BusParkingLotMU} from './BusParkingLot' 


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-29 16:33
 */
interface BusCarPartCU extends ConditionUtil<BusCarPartCU>{
    ID:FieldUtil<BusCarPartCU>;
    CAR_PLATE_NUM:FieldUtil<BusCarPartCU>;
    LOT_ID:FieldUtil<BusCarPartCU>;
    OUT_CAR_IMAGE:FieldUtil<BusCarPartCU>;
    IN_CAR_IMAGE:FieldUtil<BusCarPartCU>;
    CAR_IMAGE:FieldUtil<BusCarPartCU>;
    COME_TIME:FieldUtil<BusCarPartCU>;
    OUT_TIME:FieldUtil<BusCarPartCU>;
    ELAPSED_TIME:FieldUtil<BusCarPartCU>;
    IS_CORRECT:FieldUtil<BusCarPartCU>;
    CREATE_TIME:FieldUtil<BusCarPartCU>;
    UPDATE_TIME:FieldUtil<BusCarPartCU>;
    CAR_PLATE_NUM_SUFFIX:FieldUtil<BusCarPartCU>;
    IN_NODE:FieldUtil<BusCarPartCU>;
    IN_IS_AREA:FieldUtil<BusCarPartCU>;
    IN_CAMERA_ID:FieldUtil<BusCarPartCU>;
    CLIENT_ID:FieldUtil<BusCarPartCU>;
    PLATE_COLOR:FieldUtil<BusCarPartCU>;
    IS_FIXED_CAR:FieldUtil<BusCarPartCU>;
    MODIFY_LPN:FieldUtil<BusCarPartCU>;
    IN_RECOGNITIONCREDIBILITY:FieldUtil<BusCarPartCU>;
    OUT_NODE:FieldUtil<BusCarPartCU>;
    OUT_IS_AREA:FieldUtil<BusCarPartCU>;
    PAY_TYPE:FieldUtil<BusCarPartCU>;
    TOTAL_FEE:FieldUtil<BusCarPartCU>;
    TOTAL_MONEY:FieldUtil<BusCarPartCU>;
    OUT_RECOGNITIONCREDIBILITY:FieldUtil<BusCarPartCU>;
    IN_LPN_TYPE:FieldUtil<BusCarPartCU>;
    OUT_LPN_TYPE:FieldUtil<BusCarPartCU>;
    REMARK:FieldUtil<BusCarPartCU>;
    IN_REASON:FieldUtil<BusCarPartCU>;
    OUT_REASON:FieldUtil<BusCarPartCU>;
    IN_PICTURE:FieldUtil<BusCarPartCU>;
    OUT_PICTURE:FieldUtil<BusCarPartCU>;
    PARAM1:FieldUtil<BusCarPartCU>;
    PARAM2:FieldUtil<BusCarPartCU>;
    PARAM3:FieldUtil<BusCarPartCU>;
    PARAM4:FieldUtil<BusCarPartCU>;
    FREE_TIME:FieldUtil<BusCarPartCU>;
    FREE_MONEY:FieldUtil<BusCarPartCU>;
    COME_ATTRIBUTES:FieldUtil<BusCarPartCU>;
    OUT_ATTRIBUTES:FieldUtil<BusCarPartCU>;
    OUT_CAMERA_ID:FieldUtil<BusCarPartCU>;
}

class BusCarPartCUImpl extends ConditionUtilImpl<BusCarPartCUImpl> implements BusCarPartCU{ 
    newInstance(): BusCarPartCUImpl {
        return new BusCarPartCUImpl();
    } 
    get ID(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('ID','id','唯一标识', this);
    }
    get CAR_PLATE_NUM(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('CAR_PLATE_NUM','carPlateNum','', this);
    }
    get LOT_ID(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('LOT_ID','lotId','', this);
    }
    get OUT_CAR_IMAGE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_CAR_IMAGE','outCarImage','出场图片', this);
    }
    get IN_CAR_IMAGE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IN_CAR_IMAGE','inCarImage','进场图片', this);
    }
    get CAR_IMAGE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('CAR_IMAGE','carImage','', this);
    }
    get COME_TIME(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('COME_TIME','comeTime','', this);
    }
    get OUT_TIME(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_TIME','outTime','', this);
    }
    get ELAPSED_TIME(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('ELAPSED_TIME','elapsedTime','停车时长', this);
    }
    get IS_CORRECT(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IS_CORRECT','isCorrect','', this);
    }
    get CREATE_TIME(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
    get CAR_PLATE_NUM_SUFFIX(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('CAR_PLATE_NUM_SUFFIX','carPlateNumSuffix','', this);
    }
    get IN_NODE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IN_NODE','inNode','入口点', this);
    }
    get IN_IS_AREA(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IN_IS_AREA','inIsArea','入场区域', this);
    }
    get IN_CAMERA_ID(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IN_CAMERA_ID','inCameraId','相机ID', this);
    }
    get CLIENT_ID(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('CLIENT_ID','clientId','车场ID', this);
    }
    get PLATE_COLOR(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('PLATE_COLOR','plateColor','车牌颜色', this);
    }
    get IS_FIXED_CAR(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IS_FIXED_CAR','isFixedCar','0 临时车;1 VIP车;2 月租车;3 充值车;4 时租车;5 产权车;6 计次车;7 贵宾卡;8', this);
    }
    get MODIFY_LPN(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('MODIFY_LPN','modifyLpn','是否车牌修改', this);
    }
    get IN_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IN_RECOGNITIONCREDIBILITY','inRecognitioncredibility','入场车牌识别可信度', this);
    }
    get OUT_NODE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_NODE','outNode','出口点', this);
    }
    get OUT_IS_AREA(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_IS_AREA','outIsArea','出场区域', this);
    }
    get PAY_TYPE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('PAY_TYPE','payType','支付类型', this);
    }
    get TOTAL_FEE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('TOTAL_FEE','totalFee','支付金额', this);
    }
    get TOTAL_MONEY(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('TOTAL_MONEY','totalMoney','', this);
    }
    get OUT_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_RECOGNITIONCREDIBILITY','outRecognitioncredibility','出场车牌识别可信度', this);
    }
    get IN_LPN_TYPE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IN_LPN_TYPE','inLpnType','入场车牌类型', this);
    }
    get OUT_LPN_TYPE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_LPN_TYPE','outLpnType','出场车牌类型', this);
    }
    get REMARK(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('REMARK','remark','备注', this);
    }
    get IN_REASON(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IN_REASON','inReason','入场放行原因', this);
    }
    get OUT_REASON(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_REASON','outReason','出场放行原因', this);
    }
    get IN_PICTURE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('IN_PICTURE','inPicture','入场图片', this);
    }
    get OUT_PICTURE(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_PICTURE','outPicture','出场图片', this);
    }
    get PARAM1(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('PARAM1','param1','预留字段1', this);
    }
    get PARAM2(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('PARAM2','param2','', this);
    }
    get PARAM3(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('PARAM3','param3','', this);
    }
    get PARAM4(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('PARAM4','param4','', this);
    }
    get FREE_TIME(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('FREE_TIME','freeTime','', this);
    }
    get FREE_MONEY(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('FREE_MONEY','freeMoney','抵扣金额（单位分）', this);
    }
    get COME_ATTRIBUTES(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('COME_ATTRIBUTES','comeAttributes','', this);
    }
    get OUT_ATTRIBUTES(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_ATTRIBUTES','outAttributes','', this);
    }
    get OUT_CAMERA_ID(): FieldUtil<BusCarPartCU>{  
        return new FieldUtil('OUT_CAMERA_ID','outCameraId','相机ID', this);
    }
    get LOT_NAME(): FieldInfo{  
        return new FieldInfo('lotName','');
    }
}

@Singleton 
class BusCarPartMU extends TableUtilImpl<BusCarPartCU,BusCarPart>{ 
    tableName  = 'bus_car_part';
    tableFields  = ['ID','CAR_PLATE_NUM','LOT_ID','OUT_CAR_IMAGE','IN_CAR_IMAGE','CAR_IMAGE','COME_TIME','OUT_TIME','ELAPSED_TIME','IS_CORRECT','CREATE_TIME','UPDATE_TIME','CAR_PLATE_NUM_SUFFIX','in_Node','in_Is_Area','in_Camera_Id','client_Id','plate_Color','IS_FIXED_CAR','modify_Lpn','in_RecognitionCredibility','out_Node','out_Is_Area','pay_Type','total_Fee','total_money','out_RecognitionCredibility','in_Lpn_Type','out_Lpn_Type','remark','in_reason','out_reason','in_picture','out_picture','param1','param2','param3','param4','free_time','free_money','come_attributes','out_attributes','out_Camera_Id'];
    modelFields  = ['id','carPlateNum','lotId','outCarImage','inCarImage','carImage','comeTime','outTime','elapsedTime','isCorrect','createTime','updateTime','carPlateNumSuffix','inNode','inIsArea','inCameraId','clientId','plateColor','isFixedCar','modifyLpn','inRecognitioncredibility','outNode','outIsArea','payType','totalFee','totalMoney','outRecognitioncredibility','inLpnType','outLpnType','remark','inReason','outReason','inPicture','outPicture','param1','param2','param3','param4','freeTime','freeMoney','comeAttributes','outAttributes','outCameraId','lotName'];
    modelIdFields  = ['id'];
    tableIdFields  = ['ID'];
    idType = IdType.CUSTOM;
    joinTables = [{
            joinByDefault: true,
            foreignKeyFields: [BusCarPartMU.LOT_ID],
            joinIdFields: [BusParkingLotMU.LOT_ID],
            getTableUtil: ()=>{
                return Container.get(BusParkingLotMU);
            },
            fields: [
                {
                    fieldUtil: BusParkingLotMU.LOT_NAME,
                    alias: 'lotName'
                }
            ]

        } as JoinTable

];
    subTables = [];

    createConditionUtil(): BusCarPartCU {
        return new BusCarPartCUImpl();
    }   

    static get ID(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('ID','id','唯一标识', new BusCarPartCUImpl());
    }
    static get CAR_PLATE_NUM(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('CAR_PLATE_NUM','carPlateNum','', new BusCarPartCUImpl());
    }
    static get LOT_ID(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('LOT_ID','lotId','', new BusCarPartCUImpl());
    }
    static get OUT_CAR_IMAGE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_CAR_IMAGE','outCarImage','出场图片', new BusCarPartCUImpl());
    }
    static get IN_CAR_IMAGE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IN_CAR_IMAGE','inCarImage','进场图片', new BusCarPartCUImpl());
    }
    static get CAR_IMAGE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('CAR_IMAGE','carImage','', new BusCarPartCUImpl());
    }
    static get COME_TIME(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('COME_TIME','comeTime','', new BusCarPartCUImpl());
    }
    static get OUT_TIME(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_TIME','outTime','', new BusCarPartCUImpl());
    }
    static get ELAPSED_TIME(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('ELAPSED_TIME','elapsedTime','停车时长', new BusCarPartCUImpl());
    }
    static get IS_CORRECT(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IS_CORRECT','isCorrect','', new BusCarPartCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new BusCarPartCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new BusCarPartCUImpl());
    }
    static get CAR_PLATE_NUM_SUFFIX(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('CAR_PLATE_NUM_SUFFIX','carPlateNumSuffix','', new BusCarPartCUImpl());
    }
    static get IN_NODE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IN_NODE','inNode','入口点', new BusCarPartCUImpl());
    }
    static get IN_IS_AREA(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IN_IS_AREA','inIsArea','入场区域', new BusCarPartCUImpl());
    }
    static get IN_CAMERA_ID(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IN_CAMERA_ID','inCameraId','相机ID', new BusCarPartCUImpl());
    }
    static get CLIENT_ID(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('CLIENT_ID','clientId','车场ID', new BusCarPartCUImpl());
    }
    static get PLATE_COLOR(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('PLATE_COLOR','plateColor','车牌颜色', new BusCarPartCUImpl());
    }
    static get IS_FIXED_CAR(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IS_FIXED_CAR','isFixedCar','0 临时车;1 VIP车;2 月租车;3 充值车;4 时租车;5 产权车;6 计次车;7 贵宾卡;8', new BusCarPartCUImpl());
    }
    static get MODIFY_LPN(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('MODIFY_LPN','modifyLpn','是否车牌修改', new BusCarPartCUImpl());
    }
    static get IN_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IN_RECOGNITIONCREDIBILITY','inRecognitioncredibility','入场车牌识别可信度', new BusCarPartCUImpl());
    }
    static get OUT_NODE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_NODE','outNode','出口点', new BusCarPartCUImpl());
    }
    static get OUT_IS_AREA(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_IS_AREA','outIsArea','出场区域', new BusCarPartCUImpl());
    }
    static get PAY_TYPE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('PAY_TYPE','payType','支付类型', new BusCarPartCUImpl());
    }
    static get TOTAL_FEE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('TOTAL_FEE','totalFee','支付金额', new BusCarPartCUImpl());
    }
    static get TOTAL_MONEY(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('TOTAL_MONEY','totalMoney','', new BusCarPartCUImpl());
    }
    static get OUT_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_RECOGNITIONCREDIBILITY','outRecognitioncredibility','出场车牌识别可信度', new BusCarPartCUImpl());
    }
    static get IN_LPN_TYPE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IN_LPN_TYPE','inLpnType','入场车牌类型', new BusCarPartCUImpl());
    }
    static get OUT_LPN_TYPE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_LPN_TYPE','outLpnType','出场车牌类型', new BusCarPartCUImpl());
    }
    static get REMARK(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('REMARK','remark','备注', new BusCarPartCUImpl());
    }
    static get IN_REASON(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IN_REASON','inReason','入场放行原因', new BusCarPartCUImpl());
    }
    static get OUT_REASON(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_REASON','outReason','出场放行原因', new BusCarPartCUImpl());
    }
    static get IN_PICTURE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('IN_PICTURE','inPicture','入场图片', new BusCarPartCUImpl());
    }
    static get OUT_PICTURE(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_PICTURE','outPicture','出场图片', new BusCarPartCUImpl());
    }
    static get PARAM1(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('PARAM1','param1','预留字段1', new BusCarPartCUImpl());
    }
    static get PARAM2(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('PARAM2','param2','', new BusCarPartCUImpl());
    }
    static get PARAM3(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('PARAM3','param3','', new BusCarPartCUImpl());
    }
    static get PARAM4(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('PARAM4','param4','', new BusCarPartCUImpl());
    }
    static get FREE_TIME(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('FREE_TIME','freeTime','', new BusCarPartCUImpl());
    }
    static get FREE_MONEY(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('FREE_MONEY','freeMoney','抵扣金额（单位分）', new BusCarPartCUImpl());
    }
    static get COME_ATTRIBUTES(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('COME_ATTRIBUTES','comeAttributes','', new BusCarPartCUImpl());
    }
    static get OUT_ATTRIBUTES(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_ATTRIBUTES','outAttributes','', new BusCarPartCUImpl());
    }
    static get OUT_CAMERA_ID(): FieldUtil<BusCarPartCU>{ 
        return new FieldUtil('OUT_CAMERA_ID','outCameraId','相机ID', new BusCarPartCUImpl());
    }
    static get LOT_NAME(): FieldInfo{  
        return new FieldInfo('lotName','');
    }

    get ID(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.ID;
    }
    get CAR_PLATE_NUM(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.CAR_PLATE_NUM;
    }
    get LOT_ID(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.LOT_ID;
    }
    get OUT_CAR_IMAGE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_CAR_IMAGE;
    }
    get IN_CAR_IMAGE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IN_CAR_IMAGE;
    }
    get CAR_IMAGE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.CAR_IMAGE;
    }
    get COME_TIME(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.COME_TIME;
    }
    get OUT_TIME(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_TIME;
    }
    get ELAPSED_TIME(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.ELAPSED_TIME;
    }
    get IS_CORRECT(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IS_CORRECT;
    }
    get CREATE_TIME(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.UPDATE_TIME;
    }
    get CAR_PLATE_NUM_SUFFIX(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.CAR_PLATE_NUM_SUFFIX;
    }
    get IN_NODE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IN_NODE;
    }
    get IN_IS_AREA(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IN_IS_AREA;
    }
    get IN_CAMERA_ID(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IN_CAMERA_ID;
    }
    get CLIENT_ID(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.CLIENT_ID;
    }
    get PLATE_COLOR(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.PLATE_COLOR;
    }
    get IS_FIXED_CAR(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IS_FIXED_CAR;
    }
    get MODIFY_LPN(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.MODIFY_LPN;
    }
    get IN_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IN_RECOGNITIONCREDIBILITY;
    }
    get OUT_NODE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_NODE;
    }
    get OUT_IS_AREA(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_IS_AREA;
    }
    get PAY_TYPE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.PAY_TYPE;
    }
    get TOTAL_FEE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.TOTAL_FEE;
    }
    get TOTAL_MONEY(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.TOTAL_MONEY;
    }
    get OUT_RECOGNITIONCREDIBILITY(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_RECOGNITIONCREDIBILITY;
    }
    get IN_LPN_TYPE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IN_LPN_TYPE;
    }
    get OUT_LPN_TYPE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_LPN_TYPE;
    }
    get REMARK(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.REMARK;
    }
    get IN_REASON(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IN_REASON;
    }
    get OUT_REASON(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_REASON;
    }
    get IN_PICTURE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.IN_PICTURE;
    }
    get OUT_PICTURE(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_PICTURE;
    }
    get PARAM1(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.PARAM1;
    }
    get PARAM2(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.PARAM2;
    }
    get PARAM3(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.PARAM3;
    }
    get PARAM4(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.PARAM4;
    }
    get FREE_TIME(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.FREE_TIME;
    }
    get FREE_MONEY(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.FREE_MONEY;
    }
    get COME_ATTRIBUTES(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.COME_ATTRIBUTES;
    }
    get OUT_ATTRIBUTES(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_ATTRIBUTES;
    }
    get OUT_CAMERA_ID(): FieldUtil<BusCarPartCU>{ 
        return BusCarPartMU.OUT_CAMERA_ID;
    }
    get LOT_NAME(): FieldInfo{  
        return BusCarPartMU.LOT_NAME;
    }
}
export {BusCarPartMU, BusCarPartCU}
